watchmedo(1)

NAME
watchmedo - monitor file system events

SYNOPSIS
watchmedo task [options]...
watchmedo [option]

DESCRIPTION
This manual page briefly documents the watchmedo command.

watchmedo is a program that monitors for file system events. It is run with a task specified, which is one of the following:

tricks-from
    Command to execute tricks from a tricks configuration file.

tricks
    A synonym for tricks-from.

tricks-generate-yaml
    Command to generate Yaml configuration for tricks named on the command line.

generate-tricks-yaml
    A synonym for tricks-generate-yaml.

log Command to log file system events to the console.

shell-command
    Command to execute shell commands in response to file system events.

auto-restart
    Command to start a long-running subprocess and restart it on matched events.

OPTIONS
Each of these has a number of options and required parameters. More details can be found by running watchmedo task -h.

These programs also provide the usual GNU command line options:

-h, --help
    Show summary of options.

--version
    Show version of program.

SEE ALSO
watchdog(3).
There is a little more information in the README file, available on Debian systems as /usr/share/doc/python3-watchdog/README.rst.gz.